]> git.kernelconcepts.de Git - karo-tx-linux.git/blobdiff - scripts/gcc-x86_64-has-stack-protector.sh
[PATCH] Add the -fstack-protector option to the CFLAGS
[karo-tx-linux.git] / scripts / gcc-x86_64-has-stack-protector.sh
diff --git a/scripts/gcc-x86_64-has-stack-protector.sh b/scripts/gcc-x86_64-has-stack-protector.sh
new file mode 100644 (file)
index 0000000..325c0a1
--- /dev/null
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+echo "int foo(void) { char X[200]; return 3; }" | $1 -S -xc -c -O0 -mcmodel=kernel -fstack-protector - -o - 2> /dev/null | grep -q "%gs"
+if [ "$?" -eq "0" ] ; then
+       echo $2
+fi